Public Types | List of all members
std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator > Struct Reference

`#include <XMLTreeWalker.h>`

## Public Types
typedef libebook::XMLTreeWalker::Attribute | value_type
typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef libebook::XMLTreeWalker::Attribute * | pointer_type
typedef libebook::XMLTreeWalker::Attribute & | reference_type

## Member Typedef Documentation

## ◆ difference_type

typedef std::ptrdiff_t std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator >::difference_type

## ◆ iterator_category

typedef std::forward_iterator_tag std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator >::iterator_category

## ◆ pointer_type

typedef libebook::XMLTreeWalker::Attribute* std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator >::pointer_type

## ◆ reference_type

typedef libebook::XMLTreeWalker::Attribute& std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator >::reference_type

## ◆ value_type

typedef libebook::XMLTreeWalker::Attribute std::iterator_traits< libebook::XMLTreeWalker::AttributeIterator >::value_type

The documentation for this struct was generated from the following file:

- XMLTreeWalker.h